package org.springblade.common.notify.constant;

import com.wn.common.exception.LocalError;

/**
 * @author caiyihua
 */
public enum NotifyErrorConstants implements LocalError {

    SMS_SEND_LIMIT("CMN_2001", "短信验证码发送过于频繁"),
    
    SMS_SEND_ERROR("CMN_2002", "短信网关发送失败"),
    
    SMS_SEND_FIALED("CMN_2003", "验证码发送失败"),
    
 
    DING_ACCESS_TOKEN_ERROR("CMN_2011", "无法获取钉钉AccessToken"),
    
    DING_USER_SYNC_ERROR("CMN_2012", "钉钉用户同步失败"),
    
    DING_SEND_USERID_EMPTY("CMN_2013", "钉钉用户ID为空"),
    
    DING_SEND_MSG_ERROR("CMN_2014", "钉钉消息发送失败"),
    
    
    MQ_SEND_ERROR("CMN_2021", "MQ消息发送错误"),
    
    MQ_REEIVE_ERROR("CMN_2022", "MQ消息接受错误"),

    MQ_MESSAGE_PARMETER_ERROR("CMN_2023", "MQ消息参数错误");
    
    private String code;
    private String message;

    private NotifyErrorConstants(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String toString() {
        return "[" + code + "] " + message;
    }
}